Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class ProcedureStateMachine

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.core.Procedure
                        |
                        +--org.opencyc.uml.statemachine.ProcedureStateMachine

public class ProcedureStateMachine
extends org.opencyc.uml.core.Procedure

A Procedure which is implemented by the contained state machine.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected StateMachine` | `stateMachine` the state machine which implements this procedure

Fields inherited from class org.opencyc.uml.core.Procedure
`argument, body, isList, language, result`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`ProcedureStateMachine()` Constructs a new ProcedureStateMachine object.

Method Summary
`StateMachine` | `getStateMachine()` Gets the state machine which implements this procedure
`void` | `setStateMachine(StateMachine stateMachine)` Sets the state machine which implements this procedure

Methods inherited from class org.opencyc.uml.core.Procedure
`getArgument, getBody, getLanguage, getResult, isList, setArgument, setBody, setIsList, setLanguage, setResult`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stateMachine

    protected StateMachine stateMachine

  the state machine which implements this procedure

Constructor Detail

### ProcedureStateMachine

    public ProcedureStateMachine()

  Constructs a new ProcedureStateMachine object.

Method Detail

### getStateMachine

    public StateMachine getStateMachine()

  Gets the state machine which implements this procedure
  Returns:
    the state machine which implements this procedure

### setStateMachine

    public void setStateMachine(StateMachine stateMachine)

  Sets the state machine which implements this procedure
  Parameters:
    `stateMachine` - the state machine which implements this procedure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD